Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.xml.dom
[Java] Class DOMCategory

    java.lang.Object
      groovy.xml.dom.DOMCategory

    public class DOMCategory
    extends java.lang.Object

Category class which adds GPath style operations to Java's DOM classes.

Authors:
  sam
  paulk

Method Summary
`static org.w3c.dom.Element` | `appendNode(org.w3c.dom.Element self, java.lang.Object name)`
`static org.w3c.dom.Element` | `appendNode(org.w3c.dom.Element self, java.lang.Object name, java.util.Map attributes)`
`static org.w3c.dom.Element` | `appendNode(org.w3c.dom.Element self, java.lang.Object name, java.lang.String value)`
`static org.w3c.dom.Element` | `appendNode(org.w3c.dom.Element self, java.lang.Object name, java.util.Map attributes, java.lang.String value)`
`static org.w3c.dom.NamedNodeMap` | `attributes(org.w3c.dom.Element element)`
`static NodeList` | `breadthFirst(org.w3c.dom.Element self)`
`static NodeList` | `children(org.w3c.dom.Element self)`
`static NodeList` | `depthFirst(org.w3c.dom.Element self)`
`static java.lang.Object` | `get(org.w3c.dom.Element element, java.lang.String elementName)`
`static java.lang.Object` | `get(NodeList nodeList, java.lang.String elementName)`
`static java.lang.Object` | `get(org.w3c.dom.NamedNodeMap nodeMap, java.lang.String elementName)`
`static Node` | `getAt(Node o, int i)`
`static Node` | `getAt(DOMCategory.NodeListsHolder o, int i)`
`static Node` | `getAt(DOMCategory.NodesHolder o, int i)`
`static NodeList` | `getAt(Node o, IntRange r)`
`static NodeList` | `getAt(DOMCategory.NodeListsHolder o, IntRange r)`
`static NodeList` | `getAt(DOMCategory.NodesHolder o, IntRange r)`
`static boolean` | `isEmpty(NodeList self)`
`static java.util.List` | `list(NodeList self)`
`static java.lang.String` | `name(org.w3c.dom.Element element)`
`static Node` | `parent(Node node)`
`static void` | `plus(org.w3c.dom.Element self, Closure c)`
`static void` | `plus(NodeList self, Closure c)`
`static void` | `putAt(org.w3c.dom.Element self, java.lang.String property, java.lang.Object value)`
`static Node` | `replaceNode(DOMCategory.NodesHolder self, Closure c)`
`static Node` | `replaceNode(Node self, Closure c)`
`static void` | `setValue(org.w3c.dom.Element self, java.lang.String value)`
`static int` | `size(org.w3c.dom.NamedNodeMap namedNodeMap)`
`static int` | `size(NodeList self)`
`static java.lang.String` | `text(Node node)`
`static java.lang.String` | `text(NodeList nodeList)`
`static java.lang.String` | `toString(java.lang.Object o)`
`static java.lang.Object` | `xpath(Node self, java.lang.String expression, javax.xml.namespace.QName returnType)`
`static java.lang.String` | `xpath(Node self, java.lang.String expression)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### appendNode

    public static org.w3c.dom.Element appendNode(org.w3c.dom.Element self, java.lang.Object name)

### appendNode

    public static org.w3c.dom.Element appendNode(org.w3c.dom.Element self, java.lang.Object name, java.util.Map attributes)

### appendNode

    public static org.w3c.dom.Element appendNode(org.w3c.dom.Element self, java.lang.Object name, java.lang.String value)

### appendNode

    public static org.w3c.dom.Element appendNode(org.w3c.dom.Element self, java.lang.Object name, java.util.Map attributes, java.lang.String value)

### attributes

    public static org.w3c.dom.NamedNodeMap attributes(org.w3c.dom.Element element)

### breadthFirst

    public static NodeList breadthFirst(org.w3c.dom.Element self)

### children

    public static NodeList children(org.w3c.dom.Element self)

### depthFirst

    public static NodeList depthFirst(org.w3c.dom.Element self)

### get

    public static java.lang.Object get(org.w3c.dom.Element element, java.lang.String elementName)

### get

    public static java.lang.Object get(NodeList nodeList, java.lang.String elementName)

### get

    public static java.lang.Object get(org.w3c.dom.NamedNodeMap nodeMap, java.lang.String elementName)

### getAt

    public static Node getAt(Node o, int i)

### getAt

    public static Node getAt(DOMCategory.NodeListsHolder o, int i)

### getAt

    public static Node getAt(DOMCategory.NodesHolder o, int i)

### getAt

    public static NodeList getAt(Node o, IntRange r)

### getAt

    public static NodeList getAt(DOMCategory.NodeListsHolder o, IntRange r)

### getAt

    public static NodeList getAt(DOMCategory.NodesHolder o, IntRange r)

### isEmpty

    public static boolean isEmpty(NodeList self)

### list

    public static java.util.List list(NodeList self)

### name

    public static java.lang.String name(org.w3c.dom.Element element)

### parent

    public static Node parent(Node node)

### plus

    public static void plus(org.w3c.dom.Element self, Closure c)

### plus

    public static void plus(NodeList self, Closure c)

### putAt

    public static void putAt(org.w3c.dom.Element self, java.lang.String property, java.lang.Object value)

### replaceNode

    public static Node replaceNode(DOMCategory.NodesHolder self, Closure c)

### replaceNode

    public static Node replaceNode(Node self, Closure c)

### setValue

    public static void setValue(org.w3c.dom.Element self, java.lang.String value)

### size

    public static int size(org.w3c.dom.NamedNodeMap namedNodeMap)

### size

    public static int size(NodeList self)

### text

    public static java.lang.String text(Node node)

### text

    public static java.lang.String text(NodeList nodeList)

### toString

    public static java.lang.String toString(java.lang.Object o)

### xpath

    public static java.lang.Object xpath(Node self, java.lang.String expression, javax.xml.namespace.QName returnType)

### xpath

    public static java.lang.String xpath(Node self, java.lang.String expression)

Groovy Documentation